Draft Wire/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 46: Line 46:
* {{PropertyView|Pattern Size}}: Specifies the size of the hatch pattern
* {{PropertyView|Pattern Size}}: Specifies the size of the hatch pattern


See also [[Draft Pattern|Draft Pattern]] page.
See also [[Draft Pattern]].


==Scripting==
==Scripting==
The Wire tool can by used in [[macros]] and from the python console by using the following function:
The Wire tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
makeWire (list or Part.Wire, [closed], [placement], [facemode])
Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)

}}
}}
* Creates a Wire object from the given list of vectors or from the given wire.
* Creates a <code>Wire</code> object with the given list of points, <code>pointslist</code>
* Each point in the list is defined by its <code>FreeCAD.Vector</code>
** If closed is True or if first and last points are identical, the wire is closed.
** Alternatively, the input can be a <code>Part.Wire</code>, from which points are extracted
** If facemode is True (and the wire is closed), the wire will appear filled.
* If <code>closed</code> is <code>True</code>, or if the first and last points are identical, the wire is closed
* The current Draft linewidth and color will be used.
* If <code>face</code> is <code>True</code>, and the wire is closed, the wire will make a face, that is, it will appear filled
* Returns the newly created object.
* It uses the current [[Draft Linestyle]]


Example:
Example:
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft
p1 = FreeCAD.Vector(0,0,0)
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1,1,0)
p2 = FreeCAD.Vector(1, 1, 0)
p3 = FreeCAD.Vector(2,0,0)
p3 = FreeCAD.Vector(2, 0, 0)
Draft.makeWire([p1,p2,p3],closed=True)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
}}
}}
{{clear}}
{{clear}}

Revision as of 19:40, 27 October 2018

Draft Wire

Системное название
Draft Wire
Расположение в меню
Черчение → DWire
Верстаки
Draft, Arch
Быстрые клавиши
W I
Представлено в версии
-
См. также
Линия, B-сплайн

Description

The Wire tool creates a polyline (sequence of lines made of several segments) in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Wire tool behaves like the Draft Line tool, except that it doesn't stop after two points.

How to use

  1. Press the Draft Wire button, or press W then I keys
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Press F or C, or double-click the last point, or click on the first point to finish or close the wire. If the wire is closed, it will also be a face, even if it appears as wireframe.

Options

  • If several connected Draft Lines are selected when pressing the Draft Wire Button, they will be turned into a wire and the command will exit. introduced in version 0.17
  • Press F or the Finish button to finish the wire, leaving it open
  • Press C or the Close button or click on the first point to finish the wire, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Wire tool will restart after you finish or close it, allowing you to draw another one without pressing the Wire button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the wire from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press I or the Filled button to have the wire filled with a face if it is closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Closed wires, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • ДанныеClosed: Specifies if the wire is closed or not
  • ДанныеChamfer Size: Specifies the size of chamfered corners
  • ДанныеFillet Radius: Specifies a curvature radius to give to the nodes of the wire
  • ДанныеSubdivisions: Divides the segments of the wire with the given number of subdivisions introduced in version 0.16
  • ДанныеMake Face: Fills the wire with a face if it is closed
  • ВидEnd Arrow: Shows an arrow symbol at the last point of the wire, so it can be used as an annotation leader line
  • ВидPattern: Specifies a hatch pattern to fill the wire with (Closed Wire)
  • ВидPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern.

Scripting

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Creates a Wire object with the given list of points, pointslist
  • Each point in the list is defined by its FreeCAD.Vector
    • Alternatively, the input can be a Part.Wire, from which points are extracted
  • If closed is True, or if the first and last points are identical, the wire is closed
  • If face is True, and the wire is closed, the wire will make a face, that is, it will appear filled
  • It uses the current Draft Linestyle

Example:

import FreeCAD, Draft
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1, 1, 0)
p3 = FreeCAD.Vector(2, 0, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)